﻿.process-box{
    width: 100%;
    display: block;
    position: relative;
    margin-top: 111px;
    min-height: calc(100vh - 111px);
    box-sizing: border-box;
    padding: 127px 0;
}
.process-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.process-title-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding-bottom: 60px;
}
.process-title-box h2>p{
    font-family: 'roboto';
    font-weight: 700;
    font-size: 46px;
    color: #000;
    letter-spacing: 0.4em;
    line-height: 32px;
}
.process-title-box h2>span{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 24px;
    margin-top: 30px;
    display: block;
}
.process-title-text{
    font-size: 16px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 24px;
}


.process-info-box{
    width: 850px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    position: relative;
    box-sizing: border-box;
    padding: 100px 0;
}
.process-info{
    margin-bottom: 80px;
    position: relative;
    z-index: 1;
}
.process-info:last-child{
    margin-bottom: 0;
}
.process-info-number{
    width: 50px;
    height: 50px;
    font-family: 'roboto';
    font-weight: 700;
    font-size: 18px;
    color: #fff;
    line-height: 50px;
    letter-spacing: 0.06em;
    background-color: #366694;
    text-align: center;
    display: inline-block;
    vertical-align: top;
}
.process-info-right-box{
    width: calc(100% - 50px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding-left: 35px;
}
.process-info-name{
    font-size: 18px;
    font-family: 'Noto Sans TC';
    color: #000;
    letter-spacing: 0.06em;
    line-height: 50px;
    margin-bottom: 30px;
}
.process-info-img{
    width: 240px;
    height: 180px;
    display: inline-block;
    vertical-align: top;
}
.process-info-text-box{
    width: calc(100% - 240px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding-left: 35px;
    padding-top: 10px;
}
.process-info-text{
    font-size: 16px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 40px;
}

.process-info-line{
    width: 1px;
    height: 100%;
    position: absolute;
    top: 0;
    left: 25px;
    background-color: #d1d1d1;
}
.process-info-line::before{
    content: '';
    width: 7px;
    height: 7px;
    display: block;
    position: absolute;
    top: 0;
    left: -3px;
    background-color: #366694;
}
.process-info-line::after{
    content: '';
    width: 7px;
    height: 7px;
    display: block;
    position: absolute;
    bottom: 0;
    left: -3px;
    background-color: #366694;
}




@media only screen and (max-width: 1200px){
    .process-all-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .process-box{
        margin-top: 79px;
        min-height: calc(100vh - 79px);
        padding: 80px 0;
    }
    .process-all-box{
        width: 750px;
    }
    .process-title-box h2>p{
        font-size: 36px;
    }
    .process-info-box{
        padding: 80px 0;
    }
}
@media only screen and (max-width: 768px){
    .process-box{
        padding: 40px 0;
    }
    .process-all-box{
        width: 95vw;
    }
    .process-title-box{
        padding-bottom: 40px;
    }
    .process-title-box h2>p{
        font-size: 28px;
        line-height: 26px;
        letter-spacing: 0.2em;
    }
    .process-title-box h2>span{
        font-size: 16px;
        margin-top: 10px;
    }
    .process-title-text{
        font-size: 14px;
    }
    .process-info-box{
        padding: 40px 0;
    }
    .process-info-name{
        margin-bottom: 10px;
    }
    .process-info-text-box{
        width: 100%;
        display: block;
        padding: 0;
        padding-top: 10px;
    }
}
@media only screen and (max-width: 550px){
    .process-box{
        margin-top: 67px;
        min-height: calc(100vh - 67px);
        padding: 20px 0;
    }
    .process-title-box h2>p{
        font-size: 18px;
        line-height: 22px;
    }
    .process-title-box h2>span{
        font-size: 14px;
        margin-top: 5px;
    }
    .process-title-text{
        font-size: 12px;
        line-height: 18px;
    }
    .process-info{
        margin-bottom: 20px;
    }
    .process-info-number{
        width: 35px;
        height: 35px;
        line-height: 35px;
        font-size: 16px;
    }
    .process-info-right-box{
        width: calc(100% - 35px);
        padding-left: 15px;
    }
    .process-info-name{
        font-size: 16px;
        line-height: 35px;
    }
    .process-info-text{
        font-size: 14px;
        line-height: 1.6;
    }
    .process-info-line{
        left: 18px;
    }
}



/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .process-title-box h2>p{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .process-title-box h2>span{
        animation: fade 1s ease .2s 1 both;
    }
    .process-title-text{
        animation: fade 1s ease .4s 1 both;
    }
    .process-info-line{
        animation: line2 1s ease 0s 1 both;
        transform-origin: top;
    }
    .process-info-line::before{
        animation: fadeInUp 1s ease .3s 1 both;
    }
    .process-info{
        opacity: 0;
    }
    .process-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}
